<?php

namespace Modules\Fournisseur\Rules;

use Entity\Model\AoEntet;
use Entity\Model\Fourniss;
use Helpers\Outil\Roles;
use Psr\Http\Message\ServerRequestInterface;

class ReponseAO
{
    /** @var ServerRequestInterface $request */
    protected ServerRequestInterface $request;

    /** @var \PDO $pdo */
    protected \PDO $pdo;

    /** @var Main $main */
    protected $main;

    public function __construct(ServerRequestInterface  $request, \PDO $pdo)
    {
        $this->request              = $request;
        $this->pdo                  = $pdo;
        $this->main                 = new Main($this->request, $this->pdo);
    }

    /**
     * init
     *
     * @return bool
     */
    public function init(): bool
    {
        $id = $this->request->getAttribute('id');
        $MODULE = $this->request->getAttribute('MODULE');

        if ($MODULE=='Fournisseur' or $MODULE=='AFO') {
            return $this->main->generateDroitVisuFrs($id);
        } else {
            return true;
        }
    }


    /**
     * @return bool
     */
    public function reponseAO(): bool
    {
        return true;
    }
}
